# This is hacked from glib
# Note that this is NOT a relocatable package
%define ver      1.0.7
%define libver  1.0
%define real_release_num 1
%define RELEASE %{real_release_num}
%define rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   /usr
%define name timer_q

# Do we want to run "make check" after the build...
%define chk_opt %{?chk}%{!?chk:0}

%define dbg_opt %{?dbg}%{!?dbg:0}

%define makeopts %{?jnum:-j %jnum}%{!?chk:%nil}

%define devdoco %{_datadir}/doc/%{name}-devel-%{ver}
%define maindoco %{_datadir}/doc/%{name}-%{ver}

Summary: Handy library for creating and using timed events
Name: timer_q
Version: %ver
Release: %rel
License: LGPL
Group: Development/Libraries
Source: ftp://ftp.and.org/pub/james/%{name}/%{ver}/%{name}-%{ver}.tar.gz
BuildRoot: /var/tmp/%{name}-%{PACKAGE_VERSION}-root
BuildRequires: pkgconfig >= 0.8, autoconf, automake, libtool
Packager: James Antill <james@and.org>
BuildRequires: pkgconfig >= 0.8, gcc, make, glibc-devel
# Conflicts: timer_q-debuginfo <> %{ver}
URL: http://www.and.org/%{name}/

%description
 Handy library of functions for timed events (doesn't use signals/alarm()).

 Development libs and headers are in %{name}-devel.

%package devel
Requires: pkgconfig >= 0.8
Requires: %{name} = %{version}
Summary: Handy library for creating and using timed events
Group: Development/Libraries

%description devel
 Static libraries and header files for the support library of various
applications and libraries, which are available as public libraries.
 Also includes a %{name}.pc file for pkg-config.


%package debug
Summary: Handy library for creating and using timed events
Group: Development/Libraries
Requires: pkgconfig >= 0.8
Requires: %{name}-devel = %{ver}

%description debug
 Static libraries, header files and dynamic libraries for a debug build of
the Vstr string library
 Also includes a %{name}-debug.pc file for pkg-config development.


%changelog
* Tue Nov 29 2005 James Antill <james@and.org>
- Fix for lib64 using platforms

* Fri Jan 17 2003 James Antill <james@and.org>
- Update to spec stuff from vstr/socket_poll.

* Mon Aug 28 2000 James Antill <james@and.org>
- Changed Libraries to Development/Libraries and added a Packager section.

* Mon Apr 10 2000 James Antill <james@and.org>
- A couple of tiny cleanups.

* Tue Mar 14 2000 James Antill <james@and.org>
- Hack a spec file.

%prep
%setup

%build

function build()
{
%if %{chk_opt}
  make %{makeopts} check
%else
  make %{makeopts}
%endif
}

mkdir dbg opt
cd dbg

../configure --prefix=%{prefix} \
  --mandir=%{_mandir} --datadir=%{_datadir} \
  --libdir=%{_libdir} --includedir=%{_includedir}/%{name}-%{libver} \
  --enable-debug
build

CFLAGS="$RPM_OPT_FLAGS"
export CFLAGS
cd ../opt
../configure --prefix=%{prefix} \
  --mandir=%{_mandir} --datadir=%{_datadir} \
  --libdir=%{_libdir} --includedir=%{_includedir}/%{name}-%{libver}
build

make

%install
rm -rf $RPM_BUILD_ROOT

cd opt
make DESTDIR=$RPM_BUILD_ROOT install
cd ..

cd dbg/src
make DESTDIR=$RPM_BUILD_ROOT libdir=%{_libdir}/%{name}-%{ver}/debug install
cd ..
cp -p %{name}-debug.pc $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
cd ..


rm -f  $RPM_BUILD_ROOT/%{_libdir}/lib%{name}.la
rm -f  $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{ver}/debug/lib%{name}.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%{_libdir}/lib%{name}-%{libver}.so.*

%doc
%{maindoco}/AUTHORS
%{maindoco}/COPYING
%{maindoco}/NEWS
%{maindoco}/README

%files debug
%defattr(-, root, root)

%{_libdir}/%{name}-%{ver}/debug
%{_libdir}/pkgconfig/%{name}-debug.pc

%files devel
%defattr(-, root, root)

%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.a
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}-%{libver}/*.h

%doc
%{devdoco}/ChangeLog
%{devdoco}/BUGS
%{devdoco}/TODO
%{devdoco}/functions.txt
%{devdoco}/functions.html
%{devdoco}/constants.txt
%{devdoco}/constants.html
%{devdoco}/namespace.txt
%{devdoco}/namespace.html
%{devdoco}/overview.html
%{devdoco}/compatability.txt
%{devdoco}/compatability.html
